Bug 803467 - Unable to install PHP modules via deplist.txt
Unable to install PHP modules via deplist.txt
Status: CLOSED CANTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 15:21 EDT by Wesley Hearn
Modified: 2015-05-14 18:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 16:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2012-03-14 15:21:30 EDT
Description of problem:
I cannot install 3rd party pear modules with the PHP cartridge.

How reproducible:
Always

Steps to Reproduce:
1. Create a new PHP app(I based mine on the drupal example)
2. Inside deplist.txt add uploadprogress
3. push the app out
  
Actual results:
[Wed 12/03/14 15:14 EDT][pts/3][  (git)-[master]- ]
remote: Running .openshift/action_hooks/pre_build
remote: Checking pear: uploadprogress
remote: 
remote: No releases available for package "pear.php.net/uploadprogress" - package pecl/uploadprogress can be installed with "pecl install uploadprogress"
remote: install failed

Expected results:
It to install the pear module.

Additional info:
The module installs using pecl install uploadprogress:
[root@whearn ~]# pecl install uploadprogress
WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update
downloading uploadprogress-1.0.3.1.tgz ...
Starting to download uploadprogress-1.0.3.1.tgz (9,040 bytes)
.....done: 9,040 bytes
4 source files, building
running: phpize
Configuring for:
PHP Api Version:         20090626
Zend Module Api No:      20090626
Zend Extension Api No:   220090626
building in /var/tmp/pear-build-rooteLgVLK/uploadprogress-1.0.3.1
</snip>

Build process completed successfully
Installing '/usr/lib64/php/modules/uploadprogress.so'
install ok: channel://pecl.php.net/uploadprogress-1.0.3.1
configuration option "php_ini" is not set to php.ini location
You should add "extension=uploadprogress.so" to php.ini
Comment 1 Rob Millner 2012-03-16 14:16:22 EDT
A user story is needed for allowing binary (PECL) extensions to be requested by the application.  This is not supported today.
Comment 2 Rob Millner 2012-04-18 17:24:42 EDT
User story US2184 was created to track the feature request.

A useful project would be to add more of the commonly required PHP extensions as dependencies for our PHP cartridge.

Lets do that for this bugzilla ticket and the schedule the user story as it fits.
Comment 3 Rob Millner 2012-04-19 14:51:39 EDT
User story US2119 was already open to track this issue.  Closed US2184.
Comment 4 Alexander Todorov 2012-05-31 16:48:44 EDT
Same issue or related:

1) Add pecl/json in deplist.txt
2) git push

remote: Checking pear: pecl/json
remote: 
remote: downloading json-1.2.1.tgz ...
remote: Starting to download json-1.2.1.tgz (17,780 bytes)
remote: ......done: 17,780 bytes
remote: 11 source files, building
remote: running: phpize
remote: Cannot find config.m4.
remote: Make sure that you run '/usr/bin/phpize' in the top level source directory of the module
remote: 
remote: ERROR: `phpize' failed


3) From the OpenShift console:

[drupal-otb.rhcloud.com ~]\> pear list -a
Installed packages, channel __uri:
==================================
(no packages installed)

Installed packages, channel doc.php.net:
========================================
(no packages installed)

Installed packages, channel pear.php.net:
=========================================
Package          Version State
Archive_Tar      1.3.10  stable
Auth_SASL        1.0.6   stable
Cache_Lite       1.7.15  stable
Console_Getopt   1.3.1   stable
DB               1.7.14  stable
HTTP_Request     1.4.4   stable
Mail             1.2.0   stable
Net_SMTP         1.6.1   stable
Net_Socket       1.0.10  stable
Net_URL          1.0.15  stable
PEAR             1.9.4   stable
Structures_Graph 1.0.4   stable
XML_Parser       1.3.4   stable
XML_Util         1.2.1   stable

Installed packages, channel pecl.php.net:
=========================================
(no packages installed)

[drupal-otb.rhcloud.com ~]\> 


Shows no json installed but I can successfully execute the json_encode function in my script.
Comment 5 Alexander Todorov 2012-11-11 05:01:46 EST
anyone ping? It's been 6 months but I still can't install this package pecl/json. Any progress?
Comment 6 Rob Millner 2012-11-14 16:35:08 EST
We've tried a few times to get PECL installs to work in the general case.  The JSON is one of the ones that we're not able to fix enough for end-user installation.

The JSON module is provided in the base OS and is usable.

Note You need to log in before you can comment on or make changes to this bug.